import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import type { HierarchyPointNode, Node } from 'd3-state-visualizer';
import { selectMonitorWithState } from '../../actions';
export declare function getPath(obj: HierarchyPointNode<Node>, inspectedStatePath: string[]): void;
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = DispatchProps;
declare class ChartMonitorWrapper extends Component<Props> {
    static update: typeof import("@redux-devtools/chart-monitor/lib/types/reducers").default;
    onClickText: (data: HierarchyPointNode<Node>) => void;
    render(): React.JSX.Element;
}
declare const actionCreators: {
    selectMonitorWithState: typeof selectMonitorWithState;
};
declare const _default: import("react-redux").ConnectedComponent<typeof ChartMonitorWrapper, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<ChartMonitorWrapper> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
